> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs-beta.getzep.com/v3/sdk-reference/user-groups/create/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server. # Create a managed UserGroup POST https://api.getzep.com/api/v2/user-groups Content-Type: application/json Reference: https://docs-beta.getzep.com/sdk-reference/user-groups/create ## Authentication - `Authorization` header (required) (prefixed with ` Api-Key `) — Type "Api-Key" followed by a space and JWT token. ## Request ### Query parameters - `projectId` (string, required) — Project UUID ### Body (application/json) This endpoint expects an apidata.CreateUserGroupRequest. - `name` (string, required) - `description` (string, optional) ## Response ### 201 Created - `attached_policy_set_count` (integer, optional) - `created_at` (string, optional) - `description` (string, optional) - `kind` (enum, optional) - Allowed values: `managed`, `virtual` - `member_count` (integer, optional) - `name` (string, optional) - `project_uuid` (string, optional) - `updated_at` (string, optional) - `uuid` (string, optional) - `version` (integer, optional) ## Errors ### 400 Bad Request Error Bad Request - `message` (string, optional) ### 403 Forbidden Error Forbidden - `message` (string, optional) ### 409 Conflict Error Conflict - `message` (string, optional) ## Examples **Request** ```json { "name": "string" } ``` **Response** ```json { "attached_policy_set_count": 1, "created_at": "string", "description": "string", "kind": "managed", "member_count": 1, "name": "string", "project_uuid": "string", "updated_at": "string", "uuid": "string", "version": 1 } ```